USBpacket Class Reference

## Public Types

enum | CommandType { CANA_DEV, USB_CMD_RESET }

## Public Member Functions

| USBpacket (const CanPacket &pkt)
| operator CanPacket ()
bool | check ()
void | print ()

## Public Attributes

usb_packet_t | pkt

## Private Member Functions

unsigned short | make_can_header (long id, unsigned int dlc, unsigned int flags)
unsigned char | compute_checksum ()

The documentation for this class was generated from the following files:

- usb_packet.h
- usb_packet.cc

Last updated 12 September 2005 21:38:45